<?php

session_start();
include '../../../script/conexion.php';
require '../../general/validacion.php';

$nombre_usuario = $_POST['nombre_usuario'];
$id_compra = $_POST['id_compra'];
$numero_compra = $_POST['numero_compra'];
$referencia_producto = $_POST['referencia_producto'];
$talla = $_POST['talla'];
$cantidad = $_POST['cantidad'];
$costo_unidad = $_POST['costo_unidad'];
$hoy = date("F j, Y, g:i a");
$descripcion = 'Id: ' . $id_compra . ' numero: ' . $numero_compra . ' Ref: ' . $referencia_producto . ' Talla: ' . $talla . ' Cant: ' . $cantidad . ' Costo: ' . $costo_unidad . ' ' . $hoy;

$sql1 = "DELETE FROM alm_compra_detalle WHERE id_compra='$id_compra' AND referencia_producto='$referencia_producto' AND talla='$talla' AND costo_unidad='$costo_unidad'";
if ($conn->query($sql1) === TRUE) {

    $class_referencia = $referencia_producto;
    $class_talla = $talla;

    include '../../../clases/class-referencia.php';

    $sql = "INSERT INTO alm_registro_delete (id, nombre_usuario, origen, descripcion) VALUES "
            . "(NULL, '$nombre_usuario', 'Compra detalle', '$descripcion')";
    if ($conn->query($sql) === TRUE) {
        
    } else {
        echo "Error: " . $sql . "<br>" . $conn->error;
    }


    echo '<script language = javascript>
                    self.location = "../compra-detalle.php?id_compra=' . $id_compra . '"
                </script>';
} else {
    echo "Error: " . $sql1 . "<br>" . $conn->error;
}
